Bug 168125 - Repoview only displays the last subpackage built from a SRPM in recently built list, should show all packages
Repoview only displays the last subpackage built from a SRPM in recently buil...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: repoview (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 14:02 EDT by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 17:46:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2005-09-12 14:02:31 EDT
If you inspect

http://fedoraproject.org/extras/4/i386/repodata/

You'll see that if a SRPM builds more than one package (i.e.), only one of the
subpackages shows up in the list of recently-built packages. 
For example: svgalib builds svgalib and svgalib-devel.   

Version-Release number of selected component (if applicable):
repoview-0.3-1

How reproducible:
Always

Steps to Reproduce:
1. View  http://fedoraproject.org/extras/4/i386/repodata/

Only svgalib-devel shows up in the list of recently built packages.

Both svgalib and svgalib-devel should appear in that list.  Same with the ocaml
packages.  Only ocaml-emacs shows up.

Additional info:
Comment 1 Konstantin Ryabitsev 2005-09-13 01:26:50 EDT
This is <a
href="http://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=485">upstream bug
#485</a>.
Comment 2 Konstantin Ryabitsev 2005-09-23 17:46:30 EDT
This fix will be upstream in 0.4.

Note You need to log in before you can comment on or make changes to this bug.